import { storagePath } from '$lib';
import { json } from '@sveltejs/kit';
import { readdirSync, statSync } from 'fs';
import type { RequestHandler } from './$types';

export const GET: RequestHandler = () => {
	let names = readdirSync(storagePath).filter((f) => statSync(`${storagePath}/${f}`).isDirectory());
	names = names.toSorted();

	return json(names);
};
